package com.style24.core.biz.dao;

import com.style24.core.support.annotation.ShopDs;
import com.style24.persistence.domain.Popup;
import org.springframework.stereotype.Repository;

import java.util.Collection;

/**
 * 팝업 Dao
 *
 * @author bin2107
 * @since 2020. 03. 03
 */
@ShopDs
@Repository
public interface TscPopupDao {

    /**
     * 팝업 리스트 카운트
     * @return
     * @author bin2107
     * @since 2021. 3. 3
     */
    int getPopupListCount(Popup popup);

    /**
     * 팝업 리스트
     * @return
     * @author bin2107
     * @since 2021. 3. 3
     */
    Collection<Popup> getPopupList(Popup popup);

    /**
     * 팝업 등록/수정
     * @return
     * @author bin2107
     * @since 2021. 3. 3
     */
    void savePopup(Popup popup);

    /**
     * 팝업 삭제
     * @return
     * @author bin2107
     * @since 2021. 3. 3
     */
    void deletePopup(Popup popup);

    /**
     * 팝업 프런트 화면 삭제
     * @return
     * @author bin2107
     * @since 2021. 3. 3
     */
    void deletePopupFront(Popup popup);

    /**
     * 팝업 프런트 적용
     * @return
     * @author bin2107
     * @since 2021. 3. 4
     */
    void savePopupFront(Popup popup);
}
